=== debian/control ===
Source: kolourpaint
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.10.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               gettext,
               libkf5doctools-dev (>= 5.58.0~),
               libkf5guiaddons-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5kdelibs4support-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5sane-dev (>= 19.12.3~),
               libkf5textwidgets-dev (>= 5.58.0~),
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kolourpaint
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kolourpaint.git

Package: kolourpaint
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Replaces: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.

Package: kolourpaint4
Section: oldlibs
Architecture: all
Depends: kolourpaint (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kolourpaint
 This is a transitional package to migrate to kolourpaint.  It can be safely
 removed after the upgrade.
 .
 This package is part of the KDE graphics module.
