=== debian/control ===
--- 
+++ 
@@ -6,23 +6,23 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.10.0~),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.67.0~),
                gettext,
-               libkf5doctools-dev (>= 5.58.0~),
-               libkf5guiaddons-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5iconthemes-dev (>= 5.58.0~),
-               libkf5kdelibs4support-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5sane-dev (>= 19.12.3~),
-               libkf5textwidgets-dev (>= 5.58.0~),
-               libkf5widgetsaddons-dev (>= 5.58.0~),
-               libkf5xmlgui-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.67.0~),
+               libkf5guiaddons-dev (>= 5.67.0~),
+               libkf5i18n-dev (>= 5.67.0~),
+               libkf5jobwidgets-dev (>= 5.67.0~),
+               libkf5kio-dev (>= 5.67.0~),
+               libkf5sane-dev (>= 20.08.1~),
+               libkf5textwidgets-dev (>= 5.67.0~),
+               libkf5widgetsaddons-dev (>= 5.67.0~),
+               libkf5xmlgui-dev (>= 5.67.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.11.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kolourpaint
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kolourpaint.git
