=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install --destdir=debian/kolourpaint
	# remove shlib symlink as this isn't a dev package
	rm debian/kolourpaint/usr/lib/*/libkolourpaint_lgpl.so

override_dh_gencontrol-arch: l10npkgs_firstversion_ok
	dh_gencontrol -a
