## kolourpaint 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 cmake_minimum_required(VERSION 3.10.0 FATAL_ERROR)
 
-project(kolourpaint VERSION ${KDE_APPLICATIONS_VERSION})
+project(kolourpaint VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.58.0")
+set(KF5_MIN_VERSION "5.67.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -37,9 +37,8 @@
     WidgetsAddons
     KIO
     XmlGui
-    IconThemes
     TextWidgets
-    KDELibs4Support #kio::netaccess
+    JobWidgets
 )
 
 add_definitions(-DQT_USE_QSTRINGBUILDER)
@@ -60,7 +59,7 @@
  
  
 ## Generate header with version number
-ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+ecm_setup_version(${RELEASE_SERVICE_VERSION}
                   VARIABLE_PREFIX KOLOURPAINT
                   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpVersion.h"
 )
@@ -220,3 +219,4 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_Drawing.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolFloodFill.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_KeyboardEvents.cpp
