=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.10.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.67.0~),
                gettext,
                libkf5doctools-dev (>= 5.67.0~),
@@ -14,16 +13,16 @@
                libkf5i18n-dev (>= 5.67.0~),
                libkf5jobwidgets-dev (>= 5.67.0~),
                libkf5kio-dev (>= 5.67.0~),
-               libkf5sane-dev (>= 20.08.1~),
+               libkf5sane-dev,
                libkf5textwidgets-dev (>= 5.67.0~),
                libkf5widgetsaddons-dev (>= 5.67.0~),
                libkf5xmlgui-dev (>= 5.67.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.11.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/kolourpaint
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kolourpaint
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kolourpaint.git
 
@@ -31,8 +30,8 @@
 Section: graphics
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
-Replaces: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
+Breaks: kolourpaint4 (<< 4:17.04)
+Replaces: kolourpaint4 (<< 4:17.04)
 Description: simple image editor and drawing application
  KolourPaint is a simple drawing and image editing application for KDE.
  It aims to be easy to use, providing a level of functionality targeted towards
