=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install --destdir=debian/kolourpaint
	# remove shlib symlink as this isn't a dev package
	rm debian/kolourpaint/usr/lib/*/libkolourpaint_lgpl.so
