=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5i18n-dev (>= 5.67.0~),
                libkf5jobwidgets-dev (>= 5.67.0~),
                libkf5kio-dev (>= 5.67.0~),
-               libkf5sane-dev,
+               libkf5sane-dev (>= 20.12.3~),
                libkf5textwidgets-dev (>= 5.67.0~),
                libkf5widgetsaddons-dev (>= 5.67.0~),
                libkf5xmlgui-dev (>= 5.67.0~),
