=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kolourpaint
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.10.0~),
                debhelper-compat (= 13),
@@ -13,14 +14,14 @@
                libkf5i18n-dev (>= 5.67.0~),
                libkf5jobwidgets-dev (>= 5.67.0~),
                libkf5kio-dev (>= 5.67.0~),
-               libkf5sane-dev (>= 20.12.3~),
+               libkf5sane-dev,
                libkf5textwidgets-dev (>= 5.67.0~),
                libkf5widgetsaddons-dev (>= 5.67.0~),
                libkf5xmlgui-dev (>= 5.67.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.11.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kolourpaint
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kolourpaint
