## kolourpaint 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 cmake_minimum_required(VERSION 3.10.0 FATAL_ERROR)
@@ -43,7 +43,7 @@
 
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 
-find_package(KF5Sane)
+find_package(KF5Sane "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
 
 if(KF5Sane_FOUND)
     add_definitions(-DHAVE_KSANE=1)
@@ -218,5 +218,3 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolColorPicker.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_Drawing.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolFloodFill.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_KeyboardEvents.cpp
