=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kolourpaint
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -14,7 +15,7 @@
                libkf5i18n-dev (>= 5.67.0~),
                libkf5jobwidgets-dev (>= 5.67.0~),
                libkf5kio-dev (>= 5.67.0~),
-               libkf5sane-dev,
+               libkf5sane-dev (>= 21.12.3~),
                libkf5textwidgets-dev (>= 5.67.0~),
                libkf5widgetsaddons-dev (>= 5.67.0~),
                libkf5xmlgui-dev (>= 5.67.0~),
@@ -24,8 +25,8 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kolourpaint
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kolourpaint
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kolourpaint.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
 
 Package: kolourpaint
 Section: graphics
@@ -40,13 +41,3 @@
  and touching-up photos.
  .
  This package is part of the KDE graphics module.
-
-Package: kolourpaint4
-Section: oldlibs
-Architecture: all
-Depends: kolourpaint (>= ${source:Version}), ${misc:Depends}
-Description: transitional package for kolourpaint
- This is a transitional package to migrate to kolourpaint.  It can be safely
- removed after the upgrade.
- .
- This package is part of the KDE graphics module.
