=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5i18n-dev (>= 5.67.0~),
                libkf5jobwidgets-dev (>= 5.67.0~),
                libkf5kio-dev (>= 5.67.0~),
-               libkf5sane-dev (>= 21.12.3~),
+               libkf5sane-dev (>= 22.04.3~),
                libkf5textwidgets-dev (>= 5.67.0~),
                libkf5widgetsaddons-dev (>= 5.67.0~),
                libkf5xmlgui-dev (>= 5.67.0~),
