## kolourpaint 22.12.3

=== lgpl/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,12 @@
 set(kolourpaint_lgpl_version 5)
 
 target_link_libraries(kolourpaint_lgpl
-    KF5::KDELibs4Support # kio::network
     KF5::I18n
     KF5::GuiAddons
     KF5::WidgetsAddons
     KF5::KIOCore
-    Qt5::Widgets
+    KF5::JobWidgets
+    Qt${QT_MAJOR_VERSION}::Widgets
 )
 
 set_target_properties(kolourpaint_lgpl
@@ -33,4 +33,4 @@
 
 generate_export_header(kolourpaint_lgpl BASE_NAME kolourpaint_lgpl)
 
-install(TARGETS kolourpaint_lgpl ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kolourpaint_lgpl ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
