=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5i18n-dev (>= 5.90.0~),
                libkf5jobwidgets-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.08.0~),
+               libkf5sane-dev (>= 23.08.1~),
                libkf5textwidgets-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
