## kolourpaint 23.08.3

=== debian/changelog ===
kolourpaint (4:23.08.3-ok3.9) nile; urgency=medium

  * BUG号：#244859 	【版本组自测】【浪潮飞腾D2000】【画图工具】画图工具部分未汉化
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Fri, 26 Jul 2024 14:22:20 +0800

kolourpaint (4:23.08.3-ok3.8) nile; urgency=medium

  * No-change rebuild

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Wed, 17 Jul 2024 10:39:19 +0800

kolourpaint (4:23.08.3-ok3.7) nile; urgency=medium

  * BUG号：无
  * 需求号 : 无
  * 其他改动说明 : 更新翻译
  * 其他改动影响域 : 无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Mon, 01 Jul 2024 17:04:19 +0800

kolourpaint (4:23.08.3-ok3.6) nile; urgency=medium

  * BUG号：无
  * 需求号 : 无
  * 其他改动说明 : 修改调用SDK接口的函数名字
  * 其他改动影响域 : 无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Mon, 01 Jul 2024 17:04:19 +0800

kolourpaint (4:23.08.3-ok3.5) nile; urgency=medium

  * BUG号：无
  * 需求号 : 无
  * 其他改动说明 : 更新翻译
  * 其他改动影响域 : 无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Mon, 24 Jun 2024 15:23:42 +0800

kolourpaint (4:23.08.3-ok3.4) nile; urgency=medium

  * BUG号：
    #I9SFI5 【次要】【gg-维哈柯】【画图】应用名称为英文
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Mon, 24 Jun 2024 15:23:42 +0800

kolourpaint (4:23.08.3-ok3.3) nile; urgency=medium

  * BUG号：
    #I9PH67 【次要】【需求27630】【AI画图】AI画图的面板未遮盖下方色条
    #I9PGSR 【次要】【画图】左侧画图操作栏显示文字，且操作栏占位有误
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Wed, 29 May 2024 10:23:32 +0800

kolourpaint (4:23.08.3-ok3.2) nile; urgency=medium

  * BUG号: 无
  * 需求号 : 无
  * 其他改动说明 : 修复报错显示字体大小问题和生成图片形状比例错误问题；
  * 其他改动影响域 : 无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Mon, 27 May 2024 14:52:54 +0800

kolourpaint (4:23.08.3-ok3.1) nile; urgency=medium

  * BUG号:
    #I9PI10 【次要】【需求27630】【AI画图】生成图片位置下方生成图片未与上方整体显示同步居左显示 
    #I9PHXT 【次要】【需求27630】【AI画图】生成的图片宽度不固定
  * 需求号 : 无
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Thu, 23 May 2024 14:21:05 +0800

kolourpaint (4:23.08.3-ok3) nile; urgency=medium

  * BUG号: 无
  * 需求号: #27630 【百日攻关】【AI攻关】【AI助手】实现画图以文生图功能，生成的图片可以应用于桌面壁纸以及锁屏等场景
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- shangxiaoyang <shangxiaoyang@kylinos.cn>  Thu, 14 Mar 2024 20:43:16 +0800

kolourpaint (4:23.08.3-ok2.0) nile; urgency=medium

  * BUG号 : 无
  * 需求号 : TASK 181095 子 画图openkylin2.0 多语言翻译支持，对应需求 24691 新增多语言支持：维、哈、柯、蒙、藏、繁体
  * 其他改动说明 : 无
  * 其他改动影响域 : 无

 -- chenziying <chenziying@kylinos.cn>  Tue, 14 Nov 2023 19:24:45 +0800

kolourpaint (4:23.08.3-ok1) nile; urgency=medium

  * New upstream release (23.08.3).

 -- rtlhq <nobelxyz@163.com>  Tue, 14 Nov 2023 10:09:27 +0800

kolourpaint (4:22.12.3-ok1) yangtze; urgency=medium

  * New upstream release (22.12.3).

 -- rtlhq <nobelxyz@163.com>  Wed, 01 Mar 2023 11:58:27 +0800

kolourpaint (4:22.12.1-ok1) yangtze; urgency=medium

  * New upstream release (22.12.1).

 -- rtlhq <nobelxyz@163.com>  Sat, 07 Jan 2023 12:07:32 +0800

kolourpaint (4:22.08.3-ok1) yangtze; urgency=medium

  * Build for openkylin.

 -- rtlhq <nobelxyz@163.com>  Tue, 13 Sep 2022 15:49:05 +0800
