=== debian/control ===
Source: kolourpaint
Section: kde
Priority: optional
Maintainer: openKylin KDE SIG <kde@lists.openkylin.top>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               pkg-kde-tools (>= 0.12),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5jobwidgets-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5sane-dev (>= 21.12.1~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               libkylin-ai-base-dev,
               libgsettings-qt-dev,
               libjsoncpp-dev,
               libjson-glib-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kolourpaint
Vcs-Browser: https://gitee.com/openkylin/kolourpaint
Vcs-Git: https://gitee.com/openkylin/kolourpaint.git

Package: kolourpaint
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kylin-aiassistant
Breaks: kolourpaint4 (<< 4:17.04)
Replaces: kolourpaint4 (<< 4:17.04)
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.
